package cn.ibizlab.core.lite.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.lite.domain.DstComponent;
/**
 * 关系型数据实体[DstComponent] 查询条件对象
 */
@Slf4j
@Data
public class DstComponentSearchContext extends QueryWrapperContext<DstComponent> {

	private String n_cname_like;//[名称]
	public void setN_cname_like(String n_cname_like) {
        this.n_cname_like = n_cname_like;
        if(!ObjectUtils.isEmpty(this.n_cname_like)){
            this.getSearchCond().like("cname", n_cname_like);
        }
    }
	private String n_codename_eq;//[代码名称]
	public void setN_codename_eq(String n_codename_eq) {
        this.n_codename_eq = n_codename_eq;
        if(!ObjectUtils.isEmpty(this.n_codename_eq)){
            this.getSearchCond().eq("codename", n_codename_eq);
        }
    }
	private String n_systemid_eq;//[系统标识]
	public void setN_systemid_eq(String n_systemid_eq) {
        this.n_systemid_eq = n_systemid_eq;
        if(!ObjectUtils.isEmpty(this.n_systemid_eq)){
            this.getSearchCond().eq("systemid", n_systemid_eq);
        }
    }
	private String n_appid_eq;//[应用标识]
	public void setN_appid_eq(String n_appid_eq) {
        this.n_appid_eq = n_appid_eq;
        if(!ObjectUtils.isEmpty(this.n_appid_eq)){
            this.getSearchCond().eq("appid", n_appid_eq);
        }
    }
	private String n_ctype_eq;//[类型]
	public void setN_ctype_eq(String n_ctype_eq) {
        this.n_ctype_eq = n_ctype_eq;
        if(!ObjectUtils.isEmpty(this.n_ctype_eq)){
            this.getSearchCond().eq("ctype", n_ctype_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("cname", query)   
            );
		 }
	}
}



